Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.sql
Class SQLWarning

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--superwaba.ext.xplat.sql.SQLException
                        |
                        +--superwaba.ext.xplat.sql.SQLWarning

Direct Known Subclasses:
  DataTruncation

public class SQLWarning
extends SQLException

This exception is thrown when a database warning occurs.

Constructor Summary
`SQLWarning()` This method initializes a new instance of `SQLWarning` that does not have a descriptive messages and SQL state, and which has a vendor error code of 0.
`SQLWarning(String message)` This method initializes a new instance of `SQLWarning` with the specified descriptive error message.
`SQLWarning(String message, String SQLState)` This method initializes a new instance of `SQLWarning` with the specified descriptive error message and SQL state string.
`SQLWarning(String reason, String SQLState, int vendorCode)` This method initializes a nwe instance of `SQLWarning` with the specified descriptive error message, SQL state string, and vendor code.

Method Summary
`SQLWarning` | `getNextWarning()` This method returns the exception that is chained to this object.
`void` | `setNextWarning(SQLWarning w)` This method adds a new exception to the end of the chain of exceptions that are chained to this object.

Methods inherited from class superwaba.ext.xplat.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, wait, wait`

Constructor Detail

### SQLWarning

    public SQLWarning(String reason,
                      String SQLState,
                      int vendorCode)

  This method initializes a nwe instance of `SQLWarning` with the specified descriptive error message, SQL state string, and vendor code.
  Parameters:
    `message` - A string describing the nature of the error.
    `SQLState` - A string containing the SQL state of the error.
    `vendorCode` - The vendor error code associated with this error.

### SQLWarning

    public SQLWarning(String message,
                      String SQLState)

  This method initializes a new instance of `SQLWarning` with the specified descriptive error message and SQL state string. The vendor error code of this instance will be 0.
  Parameters:
    `message` - A string describing the nature of the error.
    `SQLState` - A string containing the SQL state of the error.

### SQLWarning

    public SQLWarning(String message)

  This method initializes a new instance of `SQLWarning` with the specified descriptive error message. The SQL state of this instance will be `null` and the vendor error code will be 0.
  Parameters:
    `message` - A string describing the nature of the error.

### SQLWarning

    public SQLWarning()

  This method initializes a new instance of `SQLWarning` that does not have a descriptive messages and SQL state, and which has a vendor error code of 0.

Method Detail

### getNextWarning

    public SQLWarning getNextWarning()

  This method returns the exception that is chained to this object.
  Returns:
    The exception chained to this object, which may be `null`.

### setNextWarning

    public void setNextWarning(SQLWarning w)

  This method adds a new exception to the end of the chain of exceptions that are chained to this object.
  Parameters:
    `w` - The exception to add to the end of the chain.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD